# Toast styles

Styles transient banners shown by components.

```swift
public struct Toast {
    public var background: Color
    public var textColor: Color
    public var accentColor: Color
    public var borderColor: Color
    public var cornerRadius: CGFloat
    public var shadowColor: Color
    public var shadowRadius: CGFloat
    public var shadowYOffset: CGFloat
    public var horizontalPadding: CGFloat
    public var verticalPadding: CGFloat
}
```

#### **Example:**

```swift
let toast = SeamTheme.Toast.default.with(
    background: Color(UIColor.secondarySystemBackground),
    borderColor: Color(UIColor.separator),
    cornerRadius: 14
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/ui-components/seam-mobile-components/seam-mobile-components-for-ios/theming/toast-styles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
